unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Memo   : TMemo;
    Button : TButton;
    procedure FormCreate(Sender: TObject);
    procedure CheckBoxChange(Sender: TObject);
    procedure ButtonClick(Sender: TObject);
  private
    CheckBox : array [0..9] of TCheckBox;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var lv : integer;
begin
 SetBounds(30,30,400,250);
 caption := 'CheckBox Test';

 for lv:=0 to 9 do
  begin
   CheckBox[lv]         := TCheckBox.Create(self);
   CheckBox[lv].Parent  := self;
   if lv < 5 then
    begin
     CheckBox[lv].Left    := 20;
     CheckBox[lv].Top     := 20+(lv*40);
   end;
   if lv >4 then
    begin
     CheckBox[lv].Left    := 200;
     CheckBox[lv].Top     := 20+((lv-5)*40);
    end;
   CheckBox[lv].Caption   := 'Ich bin Nr. '+inttostr(lv);
   //CheckBox[lv].OnChange:= @CheckBoxChange;
  end;
  Memo        := TMemo.Create(self);
  Memo.Parent := self;
  Memo.SetBounds(310,20,80,190);

  Button       := TButton.Create(self);
  Button.Parent:= self;
  Button.SetBounds(125,220,150,25);
  Button.Caption:= 'Checkboxen lesen';
  Button.OnClick:= @ButtonClick;
end;

procedure TForm1.CheckBoxChange(Sender: TObject);
var lv  : integer;
    str : TStringList;
begin
 str := TStringList.Create;
 for lv := 0 to 9 do
  begin
   if Checkbox[lv].checked then Str.Add(Checkbox[lv].Caption);
  end;
 Memo.Lines.Assign(str);
 str.Free;
end;

procedure TForm1.ButtonClick(Sender: TObject);
var lv  : integer;
    str : TStringList;
begin
 str := TStringList.Create;
 for lv := 0 to 9 do
  begin
   if Checkbox[lv].checked then Str.Add(Checkbox[lv].Caption);
  end;
 Memo.Lines.Assign(str);
 str.Free;
end;

end.

